Texa DeskDevelopers

Texa Desk Application API · Inboxes

Show Inbox Agent Bot

GET/api/v1/accounts/{account_id}/inboxes/{id}/agent_bot

See if an agent bot is associated to the Inbox

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the inbox

Responses

204

Success

idnumber

ID of the agent bot

namestring

The name of the agent bot

descriptionstring

The description about the agent bot

thumbnailstring

The thumbnail of the agent bot

outgoing_urlstring

The webhook URL for the bot

bot_typestring

The type of the bot

bot_configobject

The configuration of the bot

account_idnumber

Account ID if it's an account specific bot

access_tokenstring

The access token for the bot

system_botboolean

Whether the bot is a system bot

404

Inbox not found, Agent bot not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring